The mailbox that was requested doesn’t support the specified RequestServerVersion No ratings yet.

There’s not much information on this error around so I figured I’d blog about it in the hope it might help someone in the future who may come across the same error and one possible answer that may help.  …

Read More